Name: icinga-x509
Version: 1.3.1
Release: 1.el7
Summary: Icinga Certificate Monitoring
Group: Applications/System

License: GPLv2

URL: https://icinga.com

Source0: icinga-x509-1.3.1.tgz
Source1: icinga-x509-rpm.tgz

Requires: icinga-x509-daemon = 1.3.1-1.el7
Requires: icinga-x509-web = 1.3.1-1.el7

BuildArch: noarch

%description
Keeps track of certificates as they are deployed in a network environment.

%package php
Summary: Icinga Certificate Monitoring PHP files
Requires: icingaweb2-common >= 2.10.5
Requires: icinga-php-library >= 0.13.0
Requires: icinga-php-thirdparty >= 0.12.0

Requires: rh-php73-php-gmp
Requires: rh-php73-php-pcntl

%description php
PHP files for Icinga Certificate Monitoring.

%package daemon
Summary: Icinga Certificate Monitoring daemon files
BuildRequires: systemd-rpm-macros
Requires: icinga-x509-php = 1.3.1-1.el7
Requires: icingacli >= 2.10.5

%description daemon
Daemon files for Icinga Certificate Monitoring.

%package web
Summary: Icinga Certificate Monitoring web files
Requires: icingaweb2 >= 2.10.5
Requires: icinga-x509-php = 1.3.1-1.el7

%description web
Web files for Icinga Certificate Monitoring.

%prep
%autosetup
install -d sources
cd sources
tar -xzf %_topdir/SOURCES/icinga-x509-rpm.tgz
cd -

%build

%install

install -d %_topdir/BUILDROOT/icinga-x509-1.3.1-1.el7.x86_64/usr/share/icingaweb2/modules/x509
find . -not -path . -not -path ./sources -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILDROOT/icinga-x509-1.3.1-1.el7.x86_64/usr/share/icingaweb2/modules/x509 \;
install -Dpm 0644 sources/icinga-x509.service %_topdir/BUILDROOT/icinga-x509-1.3.1-1.el7.x86_64/usr/lib/systemd/system/icinga-x509.service

%files

%files php
%doc README.md
%docdir /usr/share/icingaweb2/modules/x509/doc
%license LICENSE
/usr/share/icingaweb2/modules/x509

%post php
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/x509 /etc/icingaweb2/enabledModules/x509
fi

%preun php
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/x509
fi

%files daemon
/usr/lib/systemd/system/icinga-x509.service

%post daemon

if [ $1 -eq 1 ] ; then
systemctl preset icinga-x509.service >/dev/null 2>&1 || :
fi

%preun daemon

if [ $1 -eq 0 ] ; then
systemctl --no-reload disable icinga-x509.service > /dev/null 2>&1 || :
systemctl stop icinga-x509.service > /dev/null 2>&1 || :
fi

%postun daemon

systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
systemctl try-restart icinga-x509.service >/dev/null 2>&1 || :
fi

%files web

%changelog
* Fri Oct 27 2023 Icinga GmbH <info@icinga.com> - 1.3.1-1$RPM_DIST
- Version 1.3.1-1

